Attribute VB_Name = "Initialize"
Option Explicit



Sub InitCmbAssignMode(cmbAssignMode As Control)
    cmbAssignMode.AddItem "0-Total replacement"
    cmbAssignMode.AddItem "1-Union composite"
    cmbAssignMode.AddItem "2-Intersection composite"
    cmbAssignMode.AddItem "3-Resize composite"
    cmbAssignMode.Text = cmbAssignMode.List(0)
    cmbAssignMode.ListIndex = 0
End Sub


Sub InitcmbDrawArrows(cmbDrawArrows As Control)
    cmbDrawArrows.AddItem "0-None"
    cmbDrawArrows.AddItem "1-Start"
    cmbDrawArrows.AddItem "2-End"
    cmbDrawArrows.AddItem "3-Both"
    cmbDrawArrows.Text = cmbDrawArrows.List(0)
    cmbDrawArrows.ListIndex = 0
End Sub

Sub InitcmbDrawStyle(cmbDrawStyle As Control)
    cmbDrawStyle.AddItem "0-Solid"
    cmbDrawStyle.AddItem "1-Dash"
    cmbDrawStyle.AddItem "2-Dot"
    cmbDrawStyle.AddItem "3-Dash Dot"
    cmbDrawStyle.AddItem "4-Dash Dot Dot"
    cmbDrawStyle.AddItem "5-Transparent"
    cmbDrawStyle.AddItem "6-Inside Fill"
    cmbDrawStyle.Text = cmbDrawStyle.List(0)
    cmbDrawStyle.ListIndex = 0
End Sub

Sub InitcmbFillStyle(cmbFillStyle As Control)
    cmbFillStyle.AddItem "0-Solid"
    cmbFillStyle.AddItem "1-Transparent"
    cmbFillStyle.AddItem "2-Horizontal"
    cmbFillStyle.AddItem "3-Vertical"
    cmbFillStyle.AddItem "4-Upward Diagonal"
    cmbFillStyle.AddItem "5-Downward Diagonal"
    cmbFillStyle.AddItem "6-Cross"
    cmbFillStyle.AddItem "7-Diagonal Cross"
    cmbFillStyle.Text = cmbFillStyle.List(0)
    cmbFillStyle.ListIndex = 0
End Sub

Sub InitcmbImageFormat(cmbImageFormat As Control)
    cmbImageFormat.AddItem "0-Auto"
    cmbImageFormat.AddItem "1-TIFF"
    cmbImageFormat.AddItem "2-Targa"
    cmbImageFormat.AddItem "3-BMP"
    cmbImageFormat.AddItem "4-GIF"
    cmbImageFormat.AddItem "5-DIB"
    cmbImageFormat.AddItem "6-PCX"
    cmbImageFormat.AddItem "7-JPEG"
    cmbImageFormat.AddItem "8-Paintbrush OLE"
    cmbImageFormat.AddItem "9-FIF"
    cmbImageFormat.AddItem "10-PNG"
    cmbImageFormat.Text = cmbImageFormat.List(0)
    cmbImageFormat.ListIndex = 0
End Sub

Sub InitcmbLoadOptions(cmbLoadOptions As Control)
    cmbLoadOptions.AddItem "0-24 bit"
    cmbLoadOptions.AddItem "1-8 bit dithered"
    cmbLoadOptions.AddItem "3-8 bit"
    cmbLoadOptions.Text = cmbLoadOptions.List(0)
    cmbLoadOptions.ListIndex = 0
End Sub

Sub InitcmbLoadScale(cmbLoadScale As Control)
    cmbLoadScale.AddItem "0-Full Scale"
    cmbLoadScale.AddItem "1-Half Scale"
    cmbLoadScale.AddItem "2-Double Scale"
    cmbLoadScale.AddItem "3-Ignore Scale"
    cmbLoadScale.Text = cmbLoadScale.List(0)
    cmbLoadScale.ListIndex = 0
End Sub

' initialize a RasterOp combobox
Sub InitcmbRasterOp(cmbRasterOp As Control, intStart As Integer)

    cmbRasterOp.AddItem "0-Pixel = Black"
    cmbRasterOp.AddItem "1-Pixel = ~(FC | Screen)"
    cmbRasterOp.AddItem "2-Pixel = ~FC & Screen)"
    cmbRasterOp.AddItem "3-Pixel = ~FC"
    cmbRasterOp.AddItem "4-Pixel = ~Screen | FC"
    cmbRasterOp.AddItem "5-Pixel = ~Screen"
    cmbRasterOp.AddItem "6-Pixel = FC ^ Screen"
    cmbRasterOp.AddItem "7-Pixel = ~(FC & Screen)"
    cmbRasterOp.AddItem "8-Pixel = FC & Screen"
    cmbRasterOp.AddItem "9-Pixel = ~(FC ^ Screen)"
    cmbRasterOp.AddItem "10-Pixel = No Change"
    cmbRasterOp.AddItem "11-Pixel = ~FC | Screen"
    cmbRasterOp.AddItem "12-Pixel = BC"
    cmbRasterOp.AddItem "13-Pixel = ~Screen & Pen"
    cmbRasterOp.AddItem "14-Pixel = FC | Screen"
    cmbRasterOp.AddItem "15-Pixel = White"
    
    cmbRasterOp.ListIndex = intStart
    
'    cmbRasterOp.Text = cmbRasterOp.List(cmbRasterOp.ListItem)
    
End Sub

Sub InitcmbResizeMode(cmbResizeMode As Control)
    cmbResizeMode.AddItem "0-Pixel deletion/replication, fixed aspect ratio"
    cmbResizeMode.AddItem "1-Pixel deletion/replication, variable aspect ratio"
    cmbResizeMode.AddItem "2-Resampling, fixed aspect ratio"
    cmbResizeMode.AddItem "3-Resampling, variable aspect ratio"
    cmbResizeMode.Text = cmbResizeMode.List(0)
    cmbResizeMode.ListIndex = 0
End Sub

Sub InitcmbScrollBars(cmbScrollBars As Control)
    cmbScrollBars.AddItem "0-None"
    cmbScrollBars.AddItem "1-Horizontal"
    cmbScrollBars.AddItem "2-Vertical"
    cmbScrollBars.AddItem "3-Both"
    cmbScrollBars.Text = cmbScrollBars.List(0)
    cmbScrollBars.ListIndex = 0
End Sub

Sub InitcmbTextAlignment(cmbTextAlignment As Control)
    cmbTextAlignment.AddItem "0-Left"
    cmbTextAlignment.AddItem "1-Right"
    cmbTextAlignment.AddItem "3-Vertical"
    cmbTextAlignment.Text = cmbTextAlignment.List(0)
    cmbTextAlignment.ListIndex = 0
End Sub

Sub InitcmbWriteOption(cmbWriteOption As Control)
    cmbWriteOption.AddItem "0-None"
    cmbWriteOption.AddItem "1-Progressive"
    cmbWriteOption.AddItem "2-Grayscale 8-Bit"
    cmbWriteOption.AddItem "3-Progressive Grayscale 8-Bit"
    cmbWriteOption.Text = cmbWriteOption.List(0)
    cmbWriteOption.ListIndex = 0
End Sub


Sub InitPicbuf(Picbuf As Control, blnScrollbars As Boolean, Optional Filename As Variant)
    Picbuf.BackColor = 0
    Picbuf.Appearance = ThreeD
    If blnScrollbars = True Then
        Picbuf.ScrollBars = 3
    End If
    If IsMissing(Filename) = False Then
        Picbuf.Filename = App.Path + "\..\Images\" + Filename
        Picbuf.Load
    End If
End Sub





