VERSION 4.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Import & Export DIB"
   ClientHeight    =   3375
   ClientLeft      =   1140
   ClientTop       =   2055
   ClientWidth     =   7935
   Height          =   4065
   Left            =   1080
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3375
   ScaleWidth      =   7935
   Top             =   1425
   Width           =   8055
   Begin VB.Frame Frame2 
      Caption         =   "Export/Import"
      Height          =   1455
      Left            =   3240
      TabIndex        =   7
      Top             =   1800
      Width           =   1455
      Begin VB.CommandButton cmdExpSrcToDest 
         Caption         =   "S&ource To Destination"
         Height          =   495
         Left            =   120
         TabIndex        =   9
         Top             =   240
         Width           =   1215
      End
      Begin VB.CommandButton cmdExpDestToSrc 
         Caption         =   "D&estination To Source"
         Height          =   495
         Left            =   120
         TabIndex        =   8
         Top             =   840
         Width           =   1215
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Duplicate/Import"
      Height          =   1455
      Left            =   3240
      TabIndex        =   4
      Top             =   240
      Width           =   1455
      Begin VB.CommandButton cmdDupDestToSrc 
         Caption         =   "&Destination To Source"
         Height          =   495
         Left            =   120
         TabIndex        =   6
         Top             =   840
         Width           =   1215
      End
      Begin VB.CommandButton cmdDupSrcToDest 
         Caption         =   "&Source To Destination"
         Height          =   495
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Width           =   1215
      End
   End
   Begin ik32Lib.Picbuf PicbufSrc 
      Height          =   3015
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   3015
      _Version        =   65536
      _ExtentX        =   5318
      _ExtentY        =   5318
      _StockProps     =   253
   End
   Begin ik32Lib.Picbuf PicbufDest 
      Height          =   3015
      Left            =   4800
      TabIndex        =   0
      Top             =   240
      Width           =   3015
      _Version        =   65536
      _ExtentX        =   5318
      _ExtentY        =   5318
      _StockProps     =   253
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   5280
      Top             =   1800
      _Version        =   65536
      _ExtentX        =   847
      _ExtentY        =   847
      _StockProps     =   0
   End
   Begin VB.Label Label2 
      Caption         =   "Destination Picbuf"
      Height          =   255
      Left            =   4800
      TabIndex        =   3
      Top             =   0
      Width           =   1455
   End
   Begin VB.Label Label1 
      Caption         =   "Source Picbuf"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   0
      Width           =   1575
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuLoadSource 
         Caption         =   "Load &Source Image..."
      End
      Begin VB.Menu mnuLoadDestination 
         Caption         =   "Load &Destination Image..."
      End
      Begin VB.Menu mnuSpacer 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mnuReload 
      Caption         =   "&Reload"
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit







'Description: This code uses the DuplicateDib and
'ImportDib methods to use handles to DIBs to
'transfer images.
Private Sub cmdDupDestToSrc_Click()
    Dim hDIBExport As Double

    'export from source picbuf
    hDIBExport = Picbufdest.DuplicateDib(False)

    'import into destination picbuf
    Picbufsrc.ImportDib hDIBExport, True
End Sub


'Description: This code uses the DuplicateDib and
'ImportDib methods to use handles to DIBs to
'transfer images.
Private Sub cmdDupSrcToDest_Click()
    Dim hDIBExport As Double

    'export from source picbuf
    hDIBExport = Picbufsrc.DuplicateDib(False)

    'import into destination picbuf
    Picbufdest.ImportDib hDIBExport, True
End Sub


'Description: This code uses the ExportDib and
'ImportDib methods to use handles to DIBs to
'transfer images.
Private Sub cmdExpSrcToDest_Click()
    Dim hDIBExport As Double

    'export from source picbuf
    hDIBExport = Picbufsrc.ExportDib(True)
    'import into destination picbuf
    Picbufdest.ImportDib hDIBExport, True
End Sub


'Description: This code uses the ExportDib and
'ImportDib methods to use handles to DIBs to
'transfer images.
Private Sub cmdExpDestToSrc_Click()
    Dim hDIBExport As Double

    'export from source picbuf
    hDIBExport = Picbufdest.ExportDib(True)

    'import into destination picbuf
    Picbufsrc.ImportDib hDIBExport, True
End Sub






'Description: This code sets properties for the
'picbuf control
Private Sub Form_Load()
    InitPicbuf Picbufsrc, True, "squirrel.bmp"
    InitPicbuf Picbufdest, True, "balloon.bmp"
End Sub










'Description: This code ends the program
Private Sub mnuExit_Click()
    ExitProgram
End Sub

'Description: This code calls a sub which loads
'an image into the picbuf using the common
'dialog control.
Private Sub mnuLoadDestination_Click()
    LoadImage Picbufdest, CommonDialog1
End Sub

'Description: This code calls a sub which loads
'an image into the picbuf using the common
'dialog control.
Private Sub mnuLoadSource_Click()
    LoadImage Picbufsrc, CommonDialog1
End Sub

'Description: This code reloads the picbufs with
'their original images
Private Sub mnuReload_Click()
    Picbufsrc.Load
    Picbufdest.Load
End Sub

